# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone
import image_cropping.fields
from django.conf import settings
import ckeditor.fields
import thux.showcase.models


class Migration(migrations.Migration):

    dependencies = [
        ('i18n', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='ID', auto_created=True)),
                ('date_create', models.DateTimeField(blank=True, verbose_name='date create', null=True)),
                ('date_last_modify', models.DateTimeField(blank=True, verbose_name='date last modify', null=True)),
                ('status', models.IntegerField(default=1, verbose_name='Status', null=True, choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, unique=True, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='slug')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='creator', null=True, blank=True, related_name='showcase_category_creator')),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='last modifier', null=True, blank=True, related_name='showcase_category_last_modifier')),
            ],
            options={
                'ordering': ('ordering', 'title'),
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='ID', auto_created=True)),
                ('date_create', models.DateTimeField(blank=True, verbose_name='date create', null=True)),
                ('date_last_modify', models.DateTimeField(blank=True, verbose_name='date last modify', null=True)),
                ('status', models.IntegerField(default=1, verbose_name='Status', null=True, choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('tale', models.CharField(blank=True, max_length=255, default='home', verbose_name='tale')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('publication_date', models.DateField(default=django.utils.timezone.now, verbose_name='publication date')),
                ('author', models.CharField(blank=True, max_length=255, verbose_name='author')),
                ('source', models.CharField(blank=True, max_length=255, verbose_name='source')),
                ('content', ckeditor.fields.RichTextField(blank=True, verbose_name='content')),
                ('file', models.FileField(blank=True, upload_to=thux.showcase.models.get_upload_file_path, verbose_name='file', null=True)),
                ('small_image', models.ImageField(blank=True, upload_to=thux.showcase.models.get_upload_small_path, verbose_name='small image', null=True)),
                ('big_image', models.ImageField(blank=True, upload_to=thux.showcase.models.get_upload_big_path, verbose_name='big image', null=True)),
                ('small_cropping', image_cropping.fields.ImageRatioField('small_image', '430x360', allow_fullsize=False, help_text=None, free_crop=False, hide_image_field=False, size_warning=True, adapt_rotation=False, verbose_name='small cropping')),
                ('big_cropping', image_cropping.fields.ImageRatioField('big_image', '1200x628', allow_fullsize=False, help_text=None, free_crop=False, hide_image_field=False, size_warning=True, adapt_rotation=False, verbose_name='big cropping')),
                ('link', models.CharField(blank=True, max_length=255, help_text='if internal use relative link', verbose_name='link')),
                ('linkedin_link', models.URLField(blank=True, verbose_name='linkedin Link')),
                ('twitter_link', models.URLField(blank=True, verbose_name='twitter link')),
                ('categories', models.ManyToManyField(to='showcase.Category', db_index=True, verbose_name='categories', related_name='items')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='creator', null=True, blank=True, related_name='showcase_item_creator')),
                ('language', models.ForeignKey(to='i18n.Language', verbose_name='language', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, verbose_name='last modifier', null=True, blank=True, related_name='showcase_item_last_modifier')),
            ],
            options={
                'ordering': ('title', '-publication_date'),
                'verbose_name': 'item',
                'verbose_name_plural': 'items',
            },
        ),
        migrations.AlterUniqueTogether(
            name='item',
            unique_together=set([('language', 'title'), ('language', 'slug')]),
        ),
    ]
